Mailinglist Archive: opensuse-factory (807 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170218 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170218

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
autoyast2 (3.2.6 -> 3.2.9)
bind
gparted (0.27.0 -> 0.28.0)
kernel-source (4.9.9 -> 4.9.10)
libsolv (0.6.24 -> 0.6.26)
mlocate
osinfo-db
perl-YAML (1.21 -> 1.22)
yast2 (3.2.12 -> 3.2.14)
yast2-kdump (3.2.1 -> 3.2.2)
yast2-packager (3.2.14 -> 3.2.16)
yast2-services-manager (3.2.0 -> 3.2.1)

=== Details ===

==== autoyast2 ====
Version update (3.2.6 -> 3.2.9)
Subpackages: autoyast2-installation

- Moved services-manager to first installation stage (FATE#321738).
- 3.2.9
- Add an option to disable the self-update feature through the
AutoYaST profile (FATE#319716)
- 3.2.8
- Cloning Software: install_recommended can be set by the
control.xml file (clone_install_recommended_default)
Default is true. (Fate#321764)
- 3.2.7

==== bind ====
Subpackages: bind-chrootenv bind-doc bind-utils idnkit libbind9-140 libdns165
libidnkit1 libirs141 libisc160 libisccc140 libisccfg140 liblwres141

- Fix assertion failure or a NULL pointer read for configurations using both
DNS64 and RPZ
* CVE-2017-3135, bsc#1024130
* bind-CVE-2017-3135.patch

==== gparted ====
Version update (0.27.0 -> 0.28.0)

- Update to version 0.28.0:
+ Key changes include:
- Implement LUKS read-write actions NOT requiring a passphrase.
- Add detection of iso9660 file system.
+ Bug Fixes
- Implement LUKS read-write actions NOT requiring a passphrase
(bgo#774818).
- Fix mount column shown for non-mounted encrypted file systems
(bgo#775475).
- Refactor mostly applying of operations (bgo#775932).
- Update help with additional partition flags (bgo#776002).
- Include sys/sysmacros.h for major and minor macros
(bgo#776173).
- Add detection of iso9660 file system (bgo#771244).
+ Updated translations.
+ Dependencies (new/updated)
- cryptsetup command is required to work with LUKS encrypted
volumes.

==== kernel-source ====
Version update (4.9.9 -> 4.9.10)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- sctp: avoid BUG_ON on sctp_wait_for_sndbuf (CVE-2017-5986
bsc#1025235).
- commit ffeeef5
- Linux 4.9.10 (bnc#1012628 bsc#1018100).
- Delete
patches.suse/btrfs-fix-btrfs_compat_ioctl-failures-on-non-compat-ioctls.
- commit 59c7cc2
- ipv4: keep skb->dst around in presence of IP options
(CVE-2017-5970 bsc#1024938).
- commit fff3f63

==== libsolv ====
Version update (0.6.24 -> 0.6.26)
Subpackages: libsolv-devel libsolv-tools perl-solv python-solv

- export solvable_matchesdep function, as we now use it in
the bindings [bnc#1025440]
- bump version to 0.6.26
- add SOLVABLE_NAME hack for pool_whatmatchesdep and
solvable_matchesdep
- add SOLVER_FLAG_STRONG_RECOMMENDS option
- add SOLVER_FLAG_INSTALL_ALSO_UPDATES option
- do not special case release-less provides in sort_by_common_dep
- solver_problemruleinfo2str: return reason why a package is not
installable
- guard against dirpool_add_dir being called with an illegal
component id
- reject solv files with bad directories
- bump version to 0.6.25

==== mlocate ====
Subpackages: mlocate-lang

- Update the umask also in su section where it could be nulled
wrt bsc#1019440

==== osinfo-db ====

- Use more appropriate RPM group
- Avoid overwriting sources during build

==== perl-YAML ====
Version update (1.21 -> 1.22)

- updated to 1.22
see /usr/share/doc/packages/perl-YAML/Changes
1.22 Tue Feb 14 23:23:08 CET 2017
- Add $YAML::Numify @perlpunk++

==== yast2 ====
Version update (3.2.12 -> 3.2.14)

- Allow Pattern selector to have more generic button names and
enablement (needed for poo#14936, bsc#1025415)
- 3.2.14
- Fix error popup when replacing widget with CWM::ReplacePoint
(FATE#322328)
- 3.2.13

==== yast2-kdump ====
Version update (3.2.1 -> 3.2.2)

- Explicitly create the kdump initrd (bsc#1022496).
- 3.2.2

==== yast2-packager ====
Version update (3.2.14 -> 3.2.16)

- drop inst_desktop client as it is replaced by new desktop
selection based on roles (poo#14936, bsc#1025415)
- Allow Desktop module to specify that no desktop is selected
- 3.2.16
- Do not allow changing services of type "plugin" and its
repositories, they cannot be changed (related to bsc#1021117)
- 3.2.15

==== yast2-services-manager ====
Version update (3.2.0 -> 3.2.1)

- AutoYaST: "Write" can be called in first and second installation
stage (FATE#321738).
- 3.2.1

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages